function init()
	gun.name = "Beam_Money"
	gun.fireDelay = 0
	gun.shotrange = 450
	gun.shotdamage = 0
	gun.shotspeed = 8000
	
	gun.initBeam()--taken care of with cycleBeam()
	
	return 0
end


function update()
	return 0
end


function fire()
	stage.makeBeam(gun.beam, gun.owner, gun.firex, gun.firey, gun.firetarx, gun.firetary)

	--make it rain
	if gun.hasTimerTicked("pointcreate", 300) == 1 then
		stage.create_item("point", gun.firex, gun.firey)
		item.movrot = math.random(0, 359)
		item.speed = math.random(150,250)
	end

	return 0
end

function shot_update()

	return 0
end